MONGOC_CURSOR_CURRENT(3)

NAME
mongoc_cursor_current() - Fetches the cursors current document or NULL if there has been an error.

SYNOPSIS

const bson_t *
mongoc_cursor_current (const mongoc_cursor_t *cursor);

PARAMETERS

cursor
    A mongoc_cursor_t \&.

DESCRIPTION

Fetches the cursors current document or NULL if there has been an error.

RETURNS

A bson_t that should not be modified or freed or NULL \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.